[Bug 489583] [NEW] Sync rkward 0.5.2-1 (universe) from Debian testing (main)

Launchpad Bug Tracker 489583 at bugs.launchpad.net
Wed Feb 10 15:56:36 GMT 2010


You have been subscribed to a public bug by Wouter Stomp (wouterstomp):

Binary package hint: rkward

Original description [Wouter Stomp]
It has a lot of bugfixes and adds support for the dynamic help server introduced in R 2.10.0 which is in Lucid.


Sync request [Scott Howard]:
Why Ubuntu changes can be dropped:
Ubuntu changes were for an upgrade to 0.5.1, and were ubuntu only. Debian has upgraded now to 0.5.2, superseding the Ubuntu changes.
An additional Ubuntu change was the addition of a debian/watch file. This has been forwarded to debian, and the maintainer will include it in future packages. Fabrice Coutadeur suggested to drop this change and go with a sync because of this.
Debian Package builds, installs, and runs on lucid (and karmic).

rkward (0.5.2-1) unstable; urgency=low

  * new upstream release
    closes: #551306 (added support for the new dynamic help system)
  * Add "DM-Upload-Allowed: yes" in control
  * bump standards version to 3.8.3 (no changes needed)

 -- Thomas Friedrichsmeier <tfry at users.sourceforge.net>  Mon, 26 Oct
2009 14:30:00 +0200

rkward (0.5.1-2) unstable; urgency=low

  * drop alternative depend on php4-cli as this is no longer part of any
    current debian based distribution
  * more accurate detection of patch-needing Ubuntu
    Hardy systems (thanks to Meik Michalke)

 -- Thomas Friedrichsmeier <tfry at users.sourceforge.net>  Tue, 18 Aug
2009 14:30:00 +0200

rkward (0.5.1-1) unstable; urgency=low

  * new upstream release
  * bump standards version to 3.8.2 (no changes needed)
  * dropped notice on development status from description
  * added notice on differing copyright and additional
    LGPL licence of some files
  * better version detection (thanks to Meik Michalke)
  * added conditional patch to support Ubuntu hardy (thanks to Meik Michalke)
  * decrease debhelper compat level to 6, in order to support Ubuntu hardy
  * revert to using dh_clean -k in order to comply with compat level 6

 -- Thomas Friedrichsmeier <tfry at users.sourceforge.net>  Tue, 04 Aug
2009 14:30:00 +0200

** Affects: rkward (Ubuntu)
     Importance: Wishlist
         Status: In Progress

-- 
Sync rkward 0.5.2-1 (universe) from Debian testing (main)
https://bugs.edge.launchpad.net/bugs/489583
You received this bug notification because you are a member of Ubuntu Sponsors for universe, which is a direct subscriber.



More information about the Ubuntu-universe-sponsors mailing list